Eclipse GEF 3.3

## org.eclipse.gef.ui.actions
Class EditorPartAction

    java.lang.Object
      org.eclipse.gef.ui.actions.WorkbenchPartAction
          org.eclipse.gef.ui.actions.EditorPartAction

Direct Known Subclasses:
  SaveAction

public abstract class EditorPartAction
extends WorkbenchPartAction

Constructor Summary
`EditorPartAction(IEditorPart editor)` Constructs a new EditorPartAction with the given editor.
`EditorPartAction(IEditorPart editor, int style)` Constructs a new EditorPartAction with the given editor and style.

Method Summary
`protected IEditorPart` `getEditorPart()` Returns the editor associated with this action.
`protected void` `setEditorPart(IEditorPart part)` Sets the editor.

Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction
`calculateEnabled, dispose, execute, getCommandStack, getWorkbenchPart, init, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorPartAction

    public EditorPartAction(IEditorPart editor,
                            int style)

  Constructs a new EditorPartAction with the given editor and style.

Parameters:
  `editor` - The editor to be associated with this action.
  `style` - the Action's style as defined in Action

### EditorPartAction

    public EditorPartAction(IEditorPart editor)

  Constructs a new EditorPartAction with the given editor.

Parameters:
  `editor` - The editor to be associated with this action.

Method Detail

### getEditorPart

    protected IEditorPart getEditorPart()

  Returns the editor associated with this action.

  Returns:
    the Editor part

### setEditorPart

    protected void setEditorPart(IEditorPart part)

  Sets the editor.

  Parameters:
    `part` - the editorpart

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.